Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.jetty
[Java] Class JettyStop

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.plugins.jetty.JettyStop

    public class JettyStop
    extends ConventionTask

Stops the embedded Jetty web container, if it is running.

Method Summary
`String` | `getStopKey()` Returns the stop key.
`Integer` | `getStopPort()` Returns the TCP port to use to send stop command.
`void` | `setStopKey(String stopKey)` Sets key to provide when stopping jetty.
`void` | `setStopPort(Integer stopPort)` Sets the TCP port to use to send stop command.
`void` | `stop()`

Method Detail

### getStopKey

    public String getStopKey()

  Returns the stop key.
  See Also:
    setStopKey(String)

### getStopPort

    public Integer getStopPort()

  Returns the TCP port to use to send stop command.

### setStopKey

    public void setStopKey(String stopKey)

  Sets key to provide when stopping jetty.

### setStopPort

    public void setStopPort(Integer stopPort)

  Sets the TCP port to use to send stop command.

### stop

    @TaskAction
    public void stop()

Gradle API 1.1-rc-1